# VectorNav C++ Library: vn::sensors::StartupFilterBiasEstimateRegister Struct Reference

vn::sensors::StartupFilterBiasEstimateRegister Struct Reference
Register Structures

Structure representing the Startup Filter Bias Estimate register. More...

`#include <registers.h>`

## Public Member Functions

| StartupFilterBiasEstimateRegister (vn::math::vec3f gyroBiasIn, vn::math::vec3f accelBiasIn, float pressureBiasIn)
| Creates an initializes a new StartupFilterBiasEstimateRegister structure. More...

## Public Attributes

vn::math::vec3f | gyroBias
| The gyroBias field.
vn::math::vec3f | accelBias
| The accelBias field.
float | pressureBias
| The pressureBias field.

## Detailed Description

Structure representing the Startup Filter Bias Estimate register.

## Constructor & Destructor Documentation

vn::sensors::StartupFilterBiasEstimateRegister::StartupFilterBiasEstimateRegister | ( | vn::math::vec3f | gyroBiasIn,
|  | vn::math::vec3f | accelBiasIn,
|  | float | pressureBiasIn
| ) |  |

inline

Creates an initializes a new StartupFilterBiasEstimateRegister structure.

Parameters

  [in] | gyroBiasIn | Value to initialize the gyroBias field with.
  [in] | accelBiasIn | Value to initialize the accelBias field with.
  [in] | pressureBiasIn | Value to initialize the pressureBias field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h